What happened to the official Python 3.11 template?

Just the title: What happened to the official Python 3.11 template?

3 Likes

Hmm, not sure. The thing is, replit does have modules for python 3.11.

If one wants to use 3.11:
Show hidden files and open .replit file.
Change the modules variable to this:

modules = ["python-3.11:v15-20231216-fb57c71"]

or to any module in nixmodules/pkgs/modules at main · replit/nixmodules · GitHub,
and refresh.
You may have to edit the python version listed in pyproject.toml.
Then, if there are packages in your repl, delete .pythonlibs and type poetry update in the Shell.

For python 3.12, use this template.

4 Likes